Bug 1566621 - initial-setup fails on aarch64 disk images
Summary: initial-setup fails on aarch64 disk images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: ARMTracker F28FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2018-04-12 15:55 UTC by Paul Whalen
Modified: 2018-04-20 17:15 UTC (History)
11 users (show)

Fixed In Version: anaconda-28.22.8-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-20 17:15:55 UTC


Attachments (Terms of Use)
journalctl -u initial-setup (55.84 KB, text/plain)
2018-04-13 20:54 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2018-04-12 15:55:56 UTC
Description of problem:
initial-setup fails on aarch64 disk images

Version-Release number of selected component (if applicable):
initial-setup-0.3.56-1.fc28.aarch64

How reproducible:
Everytime

Steps to Reproduce:
1. Boot minimal, server disk images on aarch64 from Fedora-28-20180410.n.1
2. Boots to login


Actual results:
systemctl status initial-setup
● initial-setup.service - Initial Setup configuration program
   Loaded: loaded (/usr/lib/systemd/system/initial-setup.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Thu 2018-04-12 11:44:12 EDT; 51s ago
  Process: 754 ExecStart=/usr/libexec/initial-setup/run-initial-setup (code=exited, status=1/FAILURE)
  Process: 739 ExecStartPre=/bin/plymouth quit (code=exited, status=0/SUCCESS)
  Process: 735 ExecStartPre=/bin/kill -SIGRTMIN+21 1 (code=exited, status=0/SUCCESS)
 Main PID: 754 (code=exited, status=1/FAILURE)

Apr 12 11:44:11 p64.friendly-neighbours.com org.fedoraproject.Anaconda.Boss[1052]: DEBUG:anaconda.modules.boss.module_manager:/org/fedoraproject/Anaconda/Addons/Baz is unavailable
Apr 12 11:44:11 p64.friendly-neighbours.com org.fedoraproject.Anaconda.Boss[1052]: DEBUG:anaconda.modules.boss.module_manager:/org/fedoraproject/Anaconda/Modules/Storage is unavailable
Apr 12 11:44:11 p64.friendly-neighbours.com org.fedoraproject.Anaconda.Boss[1052]: DEBUG:anaconda.modules.boss.module_manager:/org/fedoraproject/Anaconda/Modules/Services is unavailable
Apr 12 11:44:11 p64.friendly-neighbours.com org.fedoraproject.Anaconda.Boss[1052]: DEBUG:anaconda.modules.boss.module_manager:/org/fedoraproject/Anaconda/Addons/Baz has quit.
Apr 12 11:44:11 p64.friendly-neighbours.com org.fedoraproject.Anaconda.Boss[1052]: DEBUG:anaconda.modules.boss.module_manager:/org/fedoraproject/Anaconda/Modules/User has quit.
Apr 12 11:44:11 p64.friendly-neighbours.com org.fedoraproject.Anaconda.Boss[1052]: DEBUG:anaconda.modules.boss.module_manager:/org/fedoraproject/Anaconda/Modules/Storage has quit.
Apr 12 11:44:11 p64.friendly-neighbours.com org.fedoraproject.Anaconda.Boss[1052]: DEBUG:anaconda.modules.boss.module_manager:/org/fedoraproject/Anaconda/Modules/Services has quit.
Apr 12 11:44:12 p64.friendly-neighbours.com systemd[1]: initial-setup.service: Main process exited, code=exited, status=1/FAILURE
Apr 12 11:44:12 p64.friendly-neighbours.com systemd[1]: initial-setup.service: Failed with result 'exit-code'.
Apr 12 11:44:12 p64.friendly-neighbours.com systemd[1]: Failed to start Initial Setup configuration program.



Expected results:


Additional info:

Comment 1 Paul Whalen 2018-04-12 16:36:48 UTC
Proposing as a blocker for final, this prevents configuration of the Server image. Criteria "Release-blocking ARM disk images must boot to the initial-setup utility."

Comment 2 Peter Robinson 2018-04-13 18:48:02 UTC
This has further implications, if a user accidentally hits C they end up with inital-setup completing because it believes the root password is set and the user can't actually then login:

[   87.518708] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:68:crtc-2] flip_done timed out
[   97.758699] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CONNECTOR:44:Composite-1] flip_done timed out
[  107.998700] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [PLANE:67:plane-20] flip_done timed out
================================================================================
================================================================================
1) [x] Language settings                 2) [x] Time settings
       (English (United States))                (US/Eastern timezone)
3) [ ] Network configuration             4) [x] Root password
       (Not connected)                          (Password is set.)
5) [ ] User creation
       (No user will be created)

Please make a selection from the above ['c' to continue, 'q' to quit, 'r' to
refresh]: 
1
================================================================================
================================================================================
Language settings

Available languages
1) Afrikaans               29) Galician               57) Low German
2) Amharic                 30) Gujarati               58) Nepali
3) Angika                  31) Hebrew                 59) Dutch
4) Arabic                  32) Hindi                  60) Norwegian Nynorsk
5) Assamese                33) Croatian               61) Northern Sotho
6) Asturian                34) Hungarian              62) Odia
7) Bulgarian               35) Interlingua            63) Punjabi
8) Bangla                  36) Indonesian             64) Polish
9) Tibetan                 37) Icelandic              65) Portuguese
10) Breton                 38) Italian                66) Romanian
11) Bodo                   39) Japanese               67) Russian
12) Bosnian                40) Georgian               68) Sinhala
13) Catalan                41) Kazakh                 69) Slovak
14) Czech                  42) Khmer                  70) Slovenian
15) Welsh                  43) Kannada                71) Albanian
16) Danish                 44) Korean                 72) Serbian
17) German                 45) Cornish                73) Swedish
18) Greek                  46) Kyrgyz                 74) Tamil
19) English                47) Lithuanian             75) Telugu
20) Spanish                48) Latvian                76) Tajik
21) Estonian               49) Maithili               77) Thai
22) Basque                 50) Macedonian             78) Turkish
23) Persian                51) Malayalam              79) Ukrainian
24) Finnish                52) Mongolian              80) Urdu
25) Filipino               53) Marathi                81) Vietnamese

Press ENTER to continue: 
19
26) French                 54) Malay                  82) Yoruba
27) Friulian               55) Burmese                83) Mandarin Chinese
28) Irish                  56) Norwegian Bokmål       84) Zulu

Please select language support to install ['b' to return to language list, 'c'
to continue, 'h' to help, 'q' to quit, 'r' to refresh]: 
19
================================================================================
================================================================================
Language settings

Available locales
1) English (United         7) English (Ireland)       13) English (South
   States)                                                Africa)
2) English (United         8) English (New Zealand)   14) English (Zambia)
   Kingdom)
3) English (India)         9) English (Nigeria)       15) English (Zimbabwe)
4) English (Australia)     10) English (Hong Kong     16) English (Botswana)
                               SAR China)
5) English (Canada)        11) English                17) English (Antigua &
                               (Philippines)              Barbuda)
6) English (Denmark)       12) English (Singapore)

Please select language support to install ['b' to return to language list, 'c'
to continue, 'h' to help, 'q' to quit, 'r' to refresh]: 
2
================================================================================
================================================================================
1) [x] Language settings                 2) [x] Time settings
       (English (United Kingdom))               (US/Eastern timezone)
3) [ ] Network configuration             4) [x] Root password
       (Not connected)                          (Password is set.)
5) [ ] User creation
       (No user will be created)

Please make a selection from the above ['c' to continue, 'q' to quit, 'r' to
refresh]: 
c
[  OK  ] Started Initial Setup configuration program.
[  OK  ] Reached target Login Prompts (Pre).
[  OK  ] Started Getty on tty1.
[  OK  ] Started Serial Getty on ttyS1.
[  OK  ] Reached target Login Prompts.
[  OK  ] Reached target Multi-User System.
         Starting Update UTMP about System Runlevel Changes...
[  OK  ] Started Update UTMP about System Runlevel Changes.

Fedora 28 (Twenty Eight)
Kernel 4.16.0-300.fc28.aarch64 on an aarch64 (ttyS1)

localhost login:

Comment 3 Peter Robinson 2018-04-13 19:40:36 UTC
oops, wrong bug, should have been 1507940

Comment 4 Paul Whalen 2018-04-13 20:54:00 UTC
Created attachment 1421590 [details]
journalctl -u initial-setup

Comment 5 Martin Kolman 2018-04-13 21:06:44 UTC
(In reply to Paul Whalen from comment #4)
> Created attachment 1421590 [details]
> journalctl -u initial-setup

Thanks for the logs! Seems like the culprit is the recently added DBUS API storage module in Anaconda, which has some issues with running in the Initial Setup environment:

Apr 13 16:47:24 p64.friendly-neighbours.com org.fedoraproject.Anaconda.Boss[1086]: ERROR:anaconda.modules.boss.kickstart_manager.kickstart_manager:distribute kickstart: {'success': False, 'error_message': 'Disk "vda" given in ignoredisk command does not exist.', 'line_number': 2, 'file_name': '/root/anaconda-ks.cfg', 'module_name': 'org.fedoraproject.Anaconda.Modules.Storage'}

This issue is also likely not ARM specific and would show up in any environment where ignoredisk has been used during the initial installation/image generation.

Reassigning to anaconda as that's where the fix will need to go.

Comment 7 František Zatloukal 2018-04-16 16:47:26 UTC
Discussed during the 2018-04-16 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made as it violates the following blocker criteria:

"Release-blocking ARM disk images must boot to the initial-setup utility. (note that at least one blocking aarch64 platform can only deploy from disk images, and the aarch64 Server disk image is marked as release blocking)"

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-04-16/f28-blocker-review.2018-04-16-16.00.log.txt

Comment 8 Fedora Update System 2018-04-19 16:12:24 UTC
anaconda-28.22.8-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7c1909bd31

Comment 9 Fedora Update System 2018-04-20 01:49:51 UTC
anaconda-28.22.8-1.fc28, initial-setup-0.3.58-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7c1909bd31

Comment 10 Fedora Update System 2018-04-20 17:15:55 UTC
anaconda-28.22.8-1.fc28, initial-setup-0.3.58-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.